%define module 	XML-Writer
%define version 0.600
%define release 1mdk

Summary:	Module for writing XML documents
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{module}
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl, perl-devel
BuildRequires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
XML::Writer is a simple Perl module for writing XML documents: it
takes care of constructing markup and escaping data correctly, and by
default, it also performs a significant amount of well-formedness
checking on the output, to make certain (for example) that start and
end tags match, that there is exactly one document element, and that
there are not duplicate attribute names.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/XML/Writer*
%{_mandir}/*/*

%changelog
* Fri Jul 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.600-1mdk
- 0.600

* Thu May 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.545-1mdk
- 0.545

* Mon Apr 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.531-1mdk
- 0.531

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.530-1mdk
- 0.530
- make tests

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.520-1mdk
- 0.520

* Wed May 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.510-1mdk
- 0.510

* Mon Apr 12 2004 Stefan van der Eijk <stefan@eijk.nu> 0.500-1mdk
- 0.500

* Sun Jan 11 2004 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-1mdk
- 0.4.1

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4-8mdk
- rebuild for new perl
- use %%makeinstall_std macro
- don't use PREFIX

* Tue May 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4-7mdk
- rebuild for new perl provides/requires

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-6mdk
- fix buildrequires

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-5mdk
- enhanced summary & description

* Wed Aug 21 2002 Pixel <pixel@mandrakesoft.com> 0.4-4mdk
- remove the file list
- rebuild for perl 5.8.0 thread-multi

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-3mdk
- rebuild

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release


